@import 'variables';
@import 'mixins';
//
// Material Icons
//
.material-icons {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    /* Preferred icon size */
    display: inline-block;
    width: 1em;
    height: 1em;
    line-height: 1;
    text-transform: none;
    letter-spacing: normal;
    word-wrap: normal;
    white-space: nowrap;
    direction: ltr;
    /* Support for all WebKit browsers. */
    -webkit-font-smoothing: antialiased;
    /* Support for Safari and Chrome. */
    text-rendering: optimizeLegibility;
    /* Support for Firefox. */
    -moz-osx-font-smoothing: grayscale;
    /* Support for IE. */
    font-feature-settings: 'liga';
}

// Rules for sizing the icon.
.material-icons.md-18 {
    font-size: 18px;
}

.material-icons.md-24 {
    font-size: 24px;
}

.material-icons.md-36 {
    font-size: 36px;
}

.material-icons.md-48 {
    font-size: 48px;
}

// Rules for using icons as black on a light background.
.material-icons.md-dark {
    color: rgba(0, 0, 0, 0.54);
}

.material-icons.md-dark.md-inactive {
    color: rgba(0, 0, 0, 0.26);
}

// Rules for using icons as white on a dark background.
.material-icons.md-light {
    color: rgba(255, 255, 255, 1);
}

.material-icons.md-light.md-inactive {
    color: rgba(255, 255, 255, 0.3);
}


/* Main Nav area Icons*/

[class^="icon-"]:before,
[class*=" icon-"]:before {
    font-family: "fontello";
    font-style: normal;
    font-weight: normal;
    speak: none;
    display: inline-block;
    text-decoration: inherit;
    width: 2em;
    margin-right: .2em;
    text-align: center;
    /* opacity: .8; */
    /* For safety - reset parent styles, that can break glyph codes*/
    font-variant: normal;
    text-transform: none;
    /* fix buttons height, for twitter bootstrap */
    line-height: 1em;
    /* Animation center compensation - margins should be symmetric */
    /* remove if not needed */
    margin-left: .2em;
    /* you can be more comfortable with increased icons size */
    /* font-size: 120%; */
    /* Font smoothing. That was taken from TWBS */
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    /* Uncomment for 3D effect */
    /* text-shadow: 1px 1px 1px rgba(127, 127, 127, 0.3); */
}

.icon-assets:before {
    content: '\e800';
}


/* '' */

.icon-strategy:before {
    content: '\e801';
}


/* '' */

.icon-financial:before {
    content: '\e802';
}


/* '' */

.icon-invest:before {
    content: '\e803';
}


/* '' */

.icon-imports:before {
    content: '\e804';
}


/* '' */

.icon-partners:before {
    content: '\e805';
}


/* '' */

.icon-reports:before {
    content: '\e806';
}


/* '' */

.icon-dashboard:before {
    content: '\e807';
}


/* '' */

.icon-analytics:before {
    content: '\e808';
    font-size: 70%;
    margin-right: 8px;
}


/* '' */

.icon-print:before {
    content: '\e809';
}


/* '' */

.icon-email:before {
    content: '\e80a';
}


/* '' */

.icon-upload-cloud:before {
    content: '\e80b';
}


/* '' */

.icon-position {
    background-size: 50% 30%;
    background-position: 50% 50%;
}

.icon-link,
.clickable {
    cursor: pointer;
}
